// Gửi một message cho Background script của extension, y/c lấy tab id hiện tại của page
chrome.runtime.sendMessage(
    {
        message: {
            action: "currentTabId"
        }
    },
    function(response) {
        // Đợi phản hồi từ Background script mới bắt đầu trigger
        if (typeof response.tabId != "undefined") {
            var j$321 = jQuery.noConflict();
            (function($) {
                $('body').ready(function() {

                    var _inject = new Inject($, response.tabId);
                    
                    // if(location.hostname.indexOf('taobao') > 0){
                    //     var _taobao = new Taobao($, response.tabId);
                    // }
                    // if(location.hostname.indexOf('tmall') > 0) {
                    //     var _tmall = new Tmall($, response.tabId);
                    // }
                    // if(location.hostname.indexOf('1688') > 0) {
                    //     var _1688 = new Site_1688($, response.tabId);
                    // }
                });



            })(j$321);

        }
    }
);
